# NCollection_CellFilter.hxx File Reference

`#include <Standard_Real.hxx>`
`#include <NCollection_List.hxx>`
`#include <NCollection_Map.hxx>`
`#include <NCollection_DataMap.hxx>`
`#include <NCollection_BaseAllocator.hxx>`

## Enumerations

enum | NCollection_CellFilter_Action { CellFilter_Keep = 0, CellFilter_Purge = 1 }
| Auxiliary enumeration serving as responce from method Inspect. More...

## Enumeration Type Documentation

enum NCollection_CellFilter_Action

Enumeration values:

  CellFilter_Keep | Target is needed and should be kept.
  CellFilter_Purge | Target is not needed and can be removed from the current cell.